sysutils/fabric - The NetBSD Packages Collection

Simple Pythonic remote deployment tool

Fabric is a Python library and command-line tool for streamlining the use of SSH
for application deployment or systems administration tasks.

It provides a basic suite of operations for executing local or remote shell
commands (normally or via sudo) and uploading/downloading files, as well as
auxiliary functionality such as prompting the running user for input, or
aborting execution.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

security/py-paramiko devel/py-setuptools44 lang/python27 lang/python27

Available binary packages

aarch64:fabric-1.12.0nb1.tgz(NetBSD 9.0)
aarch64:fabric-1.12.0nb1.tgz(NetBSD 9.0)
aarch64:fabric-1.12.0nb2.tgz(NetBSD 9.0)
alpha:fabric-1.12.0nb2.tgz(NetBSD 9.0)
alpha:fabric-1.12.0nb1.tgz(NetBSD 9.0)
earm:fabric-1.12.0nb1.tgz(NetBSD 9.0)
earmv6hf:fabric-1.12.0nb2.tgz(NetBSD 9.0)
earmv6hf:fabric-1.12.0nb1.tgz(NetBSD 9.0)
earmv6hf:fabric-1.12.0nb1.tgz(NetBSD 9.0)
earmv6hf:fabric-1.12.0nb2.tgz(NetBSD 9.0)
earmv7hf:fabric-1.12.0nb2.tgz(NetBSD 8.0)
earmv7hf:fabric-1.12.0nb1.tgz(NetBSD 8.0)
earmv7hf:fabric-1.12.0nb1.tgz(NetBSD 8.0)
earmv7hf:fabric-1.12.0nb2.tgz(NetBSD 9.0)
earmv7hf:fabric-1.12.0nb1.tgz(NetBSD 9.0)
earmv7hf:fabric-1.12.0nb1.tgz(NetBSD 9.0)
earmv7hf:fabric-1.12.0nb1.tgz(NetBSD 9.0)
earmv7hf:fabric-1.12.0nb2.tgz(NetBSD 9.0)
i386:fabric-1.12.0nb1.tgz(NetBSD 8.0)
i386:fabric-1.12.0nb1.tgz(NetBSD 8.0)
i386:fabric-1.12.0nb2.tgz(NetBSD 8.0)
i386:fabric-1.12.0nb1.tgz(NetBSD 9.0)
i386:fabric-1.12.0nb1.tgz(NetBSD 9.0)
i386:fabric-1.12.0nb2.tgz(NetBSD 9.0)
mips64eb:fabric-1.12.0nb1.tgz(NetBSD 9.0)
powerpc:fabric-1.12.0nb1.tgz(NetBSD 8.0)
powerpc:fabric-1.12.0nb2.tgz(NetBSD 8.0)
powerpc:fabric-1.12.0nb1.tgz(NetBSD 8.0)
powerpc:fabric-1.12.0nb1.tgz(NetBSD 9.0)
powerpc:fabric-1.12.0nb1.tgz(NetBSD 9.0)
sparc64:fabric-1.12.0nb2.tgz(NetBSD 9.0)
sparc64:fabric-1.12.0nb1.tgz(NetBSD 9.0)
sparc64:fabric-1.12.0nb1.tgz(NetBSD 9.0)
sparc:fabric-1.12.0nb1.tgz(NetBSD 9.0)
x86_64:fabric-1.12.0nb1.tgz(NetBSD 9.0)
x86_64:fabric-1.12.0nb2.tgz(NetBSD 9.0)
x86_64:fabric-1.12.0nb2.tgz(NetBSD 9.0)
x86_64:fabric-1.12.0nb1.tgz(NetBSD 9.0)
x86_64:fabric-1.12.0nb1.tgz(NetBSD 8.0)
x86_64:fabric-1.12.0nb1.tgz(NetBSD 8.0)
x86_64:fabric-1.12.0nb2.tgz(NetBSD 8.0)
x86_64:fabric-1.12.0nb1.tgz(NetBSD 9.0)
x86_64:fabric-1.12.0nb1.tgz(NetBSD 9.0)
x86_64:fabric-1.12.0nb2.tgz(NetBSD 9.0)
x86_64:fabric-1.12.0nb2.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]